package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.User;
import com.ruoyi.web.work.domain.dto.LoginDto;
import com.ruoyi.web.work.domain.dto.UserEditDto;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-07-16LoginDto
 */
public interface IUserService extends IService<User>{
    List<User> selectList(User user);

    /**
     * 微信登陆
     *
     * @param dto
     * @return
     */
    AjaxResult login(LoginDto dto) throws ServerException;


    /**
     * 编辑用户信息
     *
     * @param dto
     * @return
     */
    AjaxResult edit(UserEditDto dto);

    /**
     * 退出登陆
     *
     * @return
     */
    AjaxResult exit();

    /**
     * 用户详情
     * @return
     */
    AjaxResult info();
}
